function ul_callback(data) {
	NIFTY.cocolog.showCounter(data);

	var ranking = data['rank'];
	if (!ranking || ranking.length < 1) {
		return;
	}

	NIFTY.cocolog.showAclistBlogparts(ranking);
	NIFTY.cocolog.showKeywordBlogparts(ranking);
	NIFTY.cocolog.showLinkBlogparts(ranking);
	NIFTY.cocolog.showPrefBlogparts(ranking);
}
if (!window.NIFTY) {
	window.NIFTY = {};
}
if (!window.NIFTY.cocolog) {
	window.NIFTY.cocolog = {};
	window.NIFTY.cocolog.blogpartsSetting = {};
}
NIFTY.cocolog.showCounter = function(data) {
	if (!data['pv']) {
		return;
	}

	NIFTY.cocolog.addStylesheet('http://analytics.cocolog-nifty.com/counter/counter.css');

	var module = document.getElementById('new-ccax-ct');
	if (!module) {
		return;
	}

	if (document.getElementById('new-ccax-ct-content')) {
		return;
	}

	if (window.NIFTY.cocolog.blogpartsSetting['accessCounter']) {
		if (window.NIFTY.cocolog.blogpartsSetting['accessCounter']['type'].match(/text|txt/)) {
			module.className = 'text-counter';
		} else if (window.NIFTY.cocolog.blogpartsSetting['accessCounter']['type'].match(/gif|image/)) {
			module.className = 'image-counter';
		}
	}

	var pv = data['pv'].toString();
	var digits = pv.split('');
	if (window.NIFTY.cocolog.blogpartsSetting['accessCounter'] && window.NIFTY.cocolog.blogpartsSetting['accessCounter']['figure']) {
		var figure = Number(window.NIFTY.cocolog.blogpartsSetting['accessCounter']['figure']);
		if (figure < 3) {
			figure = 3;
		} else if (figure > 9) {
			figure = 9;
		}
		if (figure < digits.length) {
			figure = digits.length;
		}
		pv = ('000000000' + data['pv']).slice(-figure);
		digits = pv.split('');
	}

	var wrapper = document.createElement('span');
	wrapper.id = 'new-ccax-ct-content';
	if (window.NIFTY.cocolog.blogpartsSetting['accessCounter'] && window.NIFTY.cocolog.blogpartsSetting['accessCounter']['type'].match(/gif|image/)) {
		var image_no = (window.NIFTY.cocolog.blogpartsSetting['accessCounter']['image'] || window.NIFTY.cocolog.blogpartsSetting['accessCounter']['image_no']);
		wrapper.className = 'counter-image-no' + image_no;
		var parent = module.parentNode;
		parent.className += ' module-ax-counter-no' + image_no;
		var style = parent.currentStyle || document.defaultView.getComputedStyle(parent, '');
		if (style.textAlign.match(/center/)) {
			parent.className += ' ax-counter-centering';
		}
	}

	for (var i = 0; i < digits.length; i++) {
		var span = document.createElement('span');
		span.className = 'counter-' + digits[i];
		span.innerHTML = digits[i];
		wrapper.appendChild(span);
	}

	module.appendChild(wrapper);
};
NIFTY.cocolog.showAclistBlogparts = function(ranking) {
	if (ranking.length < 1) {
		return;
	}
	if (!('sb' in ranking[0])) {
		return;
	}
	var module = document.getElementById('new-ccax-bp-aclist');
	if (!module || module.hasChildNodes()) {
		return;
	}

	var header = document.createElement('h2');
	header.className = 'module-header'
	header.innerHTML = '人気記事ランキング';
	var moduleTop = document.createElement('div');
	moduleTop.className = 'module-top';
	var moduleContent = document.createElement('div');
	moduleContent.className = 'module-content module-body';
	var ul = document.createElement('ul');
	ul.className = 'module-list';
	var moduleBottom = document.createElement('div');
	moduleBottom.className = 'module-bottom';
	
	var li = document.createElement('li');
	li.className = 'module-list-item';

	var str = ''
	for (var i = 0; i < ranking.length; i++) {
		var title = ranking[i]['sb'].split(/:/).slice(0, -1).join(/:/);
		if (title == '') {
			title = ranking[i]['sb'];
		}
		str += (i+1) + '位：<a href="' + ranking[i]['url'] + '">' + title + '</a><br/>';
	}

	li.innerHTML = str;
	ul.appendChild(li);
	moduleContent.appendChild(ul);
	
	module.appendChild(header);
	module.appendChild(moduleTop);
	module.appendChild(moduleContent);
	module.appendChild(moduleBottom);
};
NIFTY.cocolog.showKeywordBlogparts = function(ranking) {
	if (ranking.length < 1) {
		return;
	}
	if (!('kw' in ranking[0])) {
		return;
	}
	var module = document.getElementById('new-ccax-bp-query');
	if (!module || module.hasChildNodes()) {
		return;
	}

	var header = document.createElement('h2');
	header.className = 'module-header'
	header.innerHTML = '検索フレーズランキング';
	var moduleTop = document.createElement('div');
	moduleTop.className = 'module-top';
	var moduleContent = document.createElement('div');
	moduleContent.className = 'module-content module-body';
	var ul = document.createElement('ul');
	ul.className = 'module-list';
	var moduleBottom = document.createElement('div');
	moduleBottom.className = 'module-bottom';
	
	var li = document.createElement('li');
	li.className = 'module-list-item';

	var str = '';
	for (var i = 0; i < ranking.length; i++) {
		str += (i+1) + '位：<a href="http://search.nifty.com/cgi-bin/search.cgi?select=79&cflg=%e6%a4%9c%e7%b4%a2&Text=' + encodeURIComponent(ranking[i]['kw']) + '&ss=ccrank">' + ranking[i]['kw'] + '</a><br />';
	}

	li.innerHTML = str;
	ul.appendChild(li);
	moduleContent.appendChild(ul);
	
	module.appendChild(header);
	module.appendChild(moduleTop);
	module.appendChild(moduleContent);
	module.appendChild(moduleBottom);
};
NIFTY.cocolog.showLinkBlogparts = function(ranking) {
	if (ranking.length < 1) {
		return;
	}
	if (!('ref' in ranking[0])) {
		return;
	}
	var module = document.getElementById('new-ccax-bp-link');
	if (!module || module.hasChildNodes()) {
		return;
	}

	var header = document.createElement('h2');
	header.className = 'module-header'
	header.innerHTML = 'リンク元ランキング';
	var moduleTop = document.createElement('div');
	moduleTop.className = 'module-top';
	var moduleContent = document.createElement('div');
	moduleContent.className = 'module-content module-body';
	var ul = document.createElement('ul');
	ul.className = 'module-list';
	var moduleBottom = document.createElement('div');
	moduleBottom.className = 'module-bottom';
	
	var li = document.createElement('li');
	li.className = 'module-list-item';

	var str = '';
	for (var i = 0; i < ranking.length; i++) {
		str += (i+1) + '位：<a href="' + ranking[i]['ref'] + '">' + NIFTY.cocolog.trim(ranking[i]['ref'], 20) + '</a><br />';
	}

	li.innerHTML = str;
	ul.appendChild(li);
	moduleContent.appendChild(ul);
	
	module.appendChild(header);
	module.appendChild(moduleTop);
	module.appendChild(moduleContent);
	module.appendChild(moduleBottom);
};
NIFTY.cocolog.showPrefBlogparts = function(ranking) {
	if (ranking.length < 1) {
		return;
	}
	if (!('pref' in ranking[0])) {
		return;
	}
	var module = document.getElementById('new-ccax-bp-area');
	if (!module || module.hasChildNodes()) {
		return;
	}

	var header = document.createElement('h2');
	header.className = 'module-header'
	header.innerHTML = 'アクセス地域ランキング';
	var moduleTop = document.createElement('div');
	moduleTop.className = 'module-top';
	var moduleContent = document.createElement('div');
	moduleContent.className = 'module-content module-body';
	var ul = document.createElement('ul');
	ul.className = 'module-list';
	var moduleBottom = document.createElement('div');
	moduleBottom.className = 'module-bottom';
	
	var li = document.createElement('li');
	li.className = 'module-list-item';

	var str = '';
	for (var i = 0; i < ranking.length; i++) {
		str += (i+1) + '位：' + ranking[i]['pref'] + '<br />';
	}

	li.innerHTML = str;
	ul.appendChild(li);
	moduleContent.appendChild(ul);
	
	module.appendChild(header);
	module.appendChild(moduleTop);
	module.appendChild(moduleContent);
	module.appendChild(moduleBottom);
};
NIFTY.cocolog.mergeHash = function (target) {
    var sources = [].slice.call(arguments, 1);
    for (var i = 0; i < sources.length; i++) {
        var source = sources[i];
        for (var prop in source) {
            target[prop] = source[prop];
        }
    }

    return target;
};
NIFTY.cocolog.waitBlogpartsConfig = function(counter, func) {
	if (typeof blogConfig != 'undefined') {
		if (typeof blogConfig['accessCounter'] != 'undefined' || typeof blogConfig['blogparts'] != 'undefined') {
			window.NIFTY.cocolog.blogpartsSetting = blogConfig;
			func();
		} else if (typeof blogpartsConfig != 'undefined') {
			window.NIFTY.cocolog.blogpartsSetting = NIFTY.cocolog.mergeHash( blogpartsConfig, blogConfig);
			func();
		} else if (counter > 5000) {
			return true;
		} else {
			(function(counter, func) {
				setTimeout(function(){NIFTY.cocolog.waitBlogpartsConfig(counter, func)}, 200);
			})(counter + 1, func);
		}
	} else if (counter > 5000) {
		return true;
	} else {
		(function(counter, func) {
			setTimeout(function(){NIFTY.cocolog.waitBlogpartsConfig(counter, func)}, 200);
		})(counter + 1, func);
	}
};
NIFTY.cocolog.waitSiteId = function(counter, func) {
	if (typeof _uah != 'undefined') {
		func();
	} else if (counter > 5000) {
		return true;
	} else {
		(function(counter, func) {
			setTimeout(function(){NIFTY.cocolog.waitSiteId(counter, func)}, 200);
		})(counter + 1, func);
	}
};
NIFTY.cocolog.trim = function(str, n) {
	if (str.length <= n) {
		return str;
	} else {
		return str.substring(0, n) + '..';
	}
};
NIFTY.cocolog.plainize = function(str) {
	return str.replace(/http:\/\//, '').replace(/\//g, '_').replace(/\./g, '_');
};
NIFTY.cocolog.getEnvironment = function() {
	if (document.location.host.match(/stg1\./)) {
		return 'stg';
	} else {
		return 'prod';
	}
};
NIFTY.cocolog.addStylesheet = function(src) {
	if (document.getElementById(NIFTY.cocolog.plainize(src))) {
		return;
	}
	var link = document.createElement('link');
	link.rel = 'stylesheet';
	link.type = 'text/css';
	link.href = src;
	link.id = NIFTY.cocolog.plainize(src);
	document.getElementsByTagName('head')[0].appendChild(link);
};
NIFTY.cocolog.addJavaScript = function(src) {
	var script = document.createElement('script');
	script.type = 'text/javascript';
	script.src = src;
	document.getElementsByTagName('head')[0].appendChild(script);
}; 
NIFTY.cocolog.getParams = function(src) {
    var js = new RegExp(src + "(\\?.*)?$");
    var scripts = document.getElementsByTagName('script');
    for (var i = 0; i < scripts.length; i++) {
        var matched = scripts[i].src.match(js);
        if (matched) {
            return matched[1];
        }
    }
    return '';
};
NIFTY.cocolog.writeScriptTag = function(src, id) {
	if (id) {
		document.write('<script type="text/javascript" src="' + src + '" id="' + id + '"></scri' + 'pt>');
	} else {
		document.write('<script type="text/javascript" src="' + src + '"></scri' + 'pt>');
	}
};
NIFTY.cocolog.findConfigJS = function() {
	if (typeof _uah === 'undefined') {
        return;
	}
	var url = _uah['url'];

    var blogURL = url.replace(/http:\/\//, '');
    var parseBlogURL = blogURL.split("/");
    var cocolog_domain = parseBlogURL[0]
    var configJSURL = '';
    if (cocolog_domain.match(/(cocolog|air|moe|tea|txt|way)-nifty.com$/)) {
        configJSURL = 'http://' + cocolog_domain + '/' + parseBlogURL[1] + '/' + '.config.js';
    } else {
        configJSURL = 'http://' + parseBlogURL[0] + '/.config.js';
    }
    return configJSURL;
}
NIFTY.cocolog.loadConfigJS = function () {
	var config_js = NIFTY.cocolog.findConfigJS();
	if (!config_js) {
		return;
	}

	var src = config_js;
	var script_tags = document.getElementsByTagName('script');
	for (i = 0; i < script_tags.length; i++) {
		// return if already exists
		if (script_tags[i].src == src) {
			return;
		}
	}

	NIFTY.cocolog.addJavaScript(src);
}
NIFTY.cocolog.findSiteId = function() {
	if (typeof _uah != 'undefined') {
		return _uah['id'];
	}
};
NIFTY.cocolog.loadSettingsJSON = function () {
	var site_id = NIFTY.cocolog.findSiteId();
	if (!site_id) {
		return;
	}

	var src = 'http://analytics.cocolog-nifty.com/migration/' + site_id.substr(0, 1) + '/' + site_id.substr(0, 2) + '/' + site_id.substr(0, 3) + '/' + site_id + '/settings.json';

	var script_tags = document.getElementsByTagName('script');
	for (i = 0; i < script_tags.length; i++) {
		// return if already exists
		if (script_tags[i].src == src) {
			return;
		}
	}

	NIFTY.cocolog.addJavaScript(src);
}
NIFTY.cocolog.loadSettings = function() {
    NIFTY.cocolog.loadConfigJS();
    NIFTY.cocolog.loadSettingsJSON();
};
NIFTY.cocolog.loadRanking = function(api_type, config_name) {
	var src = 'http://ua.nakanohito.jp/ua/data_api/?api_key=' + window.NIFTY.cocolog.blogpartsSetting['api_key'] + '&site_id=' + window.NIFTY.cocolog.blogpartsSetting['site_id'] + '&api_type=' + api_type + '&limit=' + window.NIFTY.cocolog.blogpartsSetting['blogparts'][config_name];
	NIFTY.cocolog.addJavaScript(src);
}
NIFTY.cocolog.loadUrlRanking = function() {
	NIFTY.cocolog.loadRanking('url', 'aclist_show');
};
NIFTY.cocolog.loadPrefRanking = function() {
	NIFTY.cocolog.loadRanking('pref', 'area_show');
};
NIFTY.cocolog.loadKeywordRanking = function() {
	NIFTY.cocolog.loadRanking('keyword', 'query_show');
};
NIFTY.cocolog.loadRefererRanking = function() {
	NIFTY.cocolog.loadRanking('referer', 'link_show');
};
NIFTY.cocolog.loadCounter = function() {
	var src = 'http://ua.nakanohito.jp/ua/data_api/?api_key=' + window.NIFTY.cocolog.blogpartsSetting['api_key'] + '&site_id=' + window.NIFTY.cocolog.blogpartsSetting['site_id'] + '&api_type=pv';
	NIFTY.cocolog.addJavaScript(src);
};
